﻿<%@ Control Language="C#" Inherits="ViewUserControl<AdminModel>" %>
<div class="widget" id="quickpub">
<h3>Быстрая публикация</h3>

        <div class="ui-widget result"> 
	<div class="ui-state-highlight ui-corner-all">
	<p><span class="ui-icon ui-icon-info"></span><span class="message"></span></p></div>
	</div>
<div class="location">
Область: <strong><%= Model.TargetCollection.Id.Workspace %></strong>
Коллекция: <strong><%= Model.TargetCollection.Id.Collection%></strong>
</div>
<% using (Html.BeginForm("QuickPub", "Admin")) { %>
<fieldset>
<%= Html.Hidden("id", Model.TargetCollection.Id) %>
<label for="title">Заголовок</label>
<%= Html.TextBox("title") %>
<label for="content">Основной текст</label>
<%= Html.TextArea("content") %>
<div class="publish">
<button class="wymupdate" type="submit" name="submit" value="Save Draft"><span class="btnicon ui-icon ui-icon-disk"></span> Сохранить черновик</button>
<button class="wymupdate default" type="submit" name="submit" value="Publish"><span class="btnicon ui-icon ui-icon-pin-s"></span> Опубликовать</button>
</div>
</fieldset>
<%} %>
</div>

<script type="text/javascript">
$(document).ready(function() {
  $('#quickpub .result').hide();
  $('#quickpub button').click(function() {
    var $form = $('#quickpub form');
    $.post($form.attr('action'), $form.serialize() + "&submit=" + $(this).val(),
       function(data) {
         if (!data.error) {
           $('#quickpub .result').show().find('.message').html(data.message);
           $('#quickpub form').each(function() { this.reset(); });
         } else {
           alert(data.error);
         }
       }, "json");
    return false;
  });
});

</script>