﻿<%@ Page Language="C#" MasterPageFile="Admin.Master" AutoEventWireup="true" Inherits="ViewPage<AdminThemeModel>" %>
<asp:Content ID="head" ContentPlaceHolderID="head" runat="server">
<title>Темы &rsaquo; Панель управления AtomSite</title>
  <link rel="stylesheet" type="text/css" href="<%= Url.Href("rater.css") %>" />

</asp:Content>
<asp:Content ID="Content" ContentPlaceHolderID="content" runat="server">

<%--<strong>Тема может быть установлена для всего сайта, для области или для отдельной коллекции.</strong>
--%>

<form action="<%= Url.Action("ChangeTheme", "Admin") %>" id="themeForm">
<%= Model.Scope.Workspace != null ? Html.Hidden("workspace",  Model.Scope.Workspace) : null %>
<%= Model.Scope.Collection != null ? Html.Hidden("collection", Model.Scope.Collection) : null %>
<%= Html.Hidden("theme", Model.Theme.Name) %>
<div class="yui-gf">
<div class="yui-u first">
<h2>Темы</h2>
<h3>Выбрать тему</h3>
<div class="widget choose">
&#160;Посмотреть: <a class="tab" href="#"><strong>Установлено</strong></a> | <a class="tab" href="#">Online</a> | <a class="tab" href="#">Загрузить</a>
<ul>
<%if (Model.CanInherit) {%>
<li class="<%= Model.Inherited ? "selected current" : string.Empty %>" id="(inherit)">
<h4><a href="#">Наследование</a></h4>
<small>использовать родительскую тему</small>
</li>
<%} %>
<%bool alt = false;  foreach (Theme theme in Model.InstalledThemes)
  { alt = !alt; %>
  <li class="<%= alt ? "alt" : string.Empty %> <%= Model.Theme.Equals(theme) && (Model.Scope.IsEntireSite || !Model.Inherited) ? "selected current" : string.Empty %>" id="<%= theme.Name %>">
  <h4><a href="#"><%=theme.Title%></a>
  <span class="version"><%= theme.Version%></span></h4>
    <div class="rating">
			<span class="ui-rater-starsOff" style="width:90px;">
				<span class="ui-rater-starsOn" style="width:<%= Math.Round(18F * theme.Rating) %>px"></span>
			</span>
		</div> 
  </li>
<%} %></ul></div>
</div>
<div class="yui-u" id="target">

<% Html.RenderPartial("AdminThemeInfo", Model); %>
        
  </div>
</div>
</form>

</asp:Content>

<asp:Content ID="Tail" ContentPlaceHolderID="tail" runat="server">
<script type="text/javascript">
$(document).ready(function() {
  $('.choose li').click(function() {
    var $this = $(this);
    $.get('<%= Url.Action("ThemeInfo", "Admin", new { workspace=Model.Scope.Workspace, collection=Model.Scope.Collection}) %>', { theme: $this.attr('id') },
       function(data) {
         $("#target").html(data); $('abbr[class*=timeago]').timeago();
         $('.choose li.selected').removeClass('selected');
         $this.addClass('selected');
         $('#themeForm input[name=theme]').val($this.attr('id'));
       });
    return false;
  });
  $('.choose a.tab').click(function() {
    alert('Пока не разработано.');
  });
});
</script>
</asp:Content>
