﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="ViewUserControl<AdminThemeModel>" %>

<h3><%= Model.Theme.Title %><%= Model.Current ? " <em class='active'>Активна</em>" : string.Empty %><%= Model.Inherited && !Model.Scope.IsEntireSite ? " <em class='inherited'>Унаследована</em>" : string.Empty %></h3>
<table id="meta"><tr>
<td><strong>Версия</strong><div><%= Model.Theme.Version%></div></td>
<td style="width:30%"><strong>Автор</strong><div><% Html.RenderPartial("AtomPubPeople", Model.Theme.Authors); %></div></td>
<td><div class="stat">
          <label for="updated">Последнее обновление</label>
          <div id="updated" class="statVal">
              <%= Html.DateTimeAgoAbbreviation(Model.Theme.Updated)%>
          </div>
        </div></td>
<td><strong>Рейтинг</strong><div><span style="font-size:larger; font-weight:bold"><%= Model.Theme.Rank %> </span> из <%= Model.Theme.RankTotal %></div></td>
<td><% Html.RenderPartial("RaterWidget", Model.GetRaterModel(Request.UserHostAddress, Url)); %></td>
</tr></table>

<div class="right widget">
<h3>Предпросмотр &amp; <%= Model.Installed ? "Apply" : "Download" %></h3>
 <div class="themePreview">
      <a href="<%= Model.Theme.Screenshot %>"><img src="<%= Model.Theme.Thumbnail %>" alt="Theme Screenshot" /></a><br />
      <a href="<%= Model.Theme.Screenshot %>">Увеличить</a>
    </div><br />
 <div class="publish">
<% if (Model.Installed) { %>
<% if (Model.CanDelete) { %>
<button type="submit" name="submit" value="Delete Theme"><span class="btnicon ui-icon ui-icon-trash"></span> Удалить</button>
<%} %>
<button type="submit" name="submit" value="Apply Theme"><span class="btnicon ui-icon ui-icon-disk"></span> Применить тему</button>
<%} else { %>
<button type="submit" name="submit" value="Download Theme"><span class="btnicon ui-icon ui-icon-circle-arrow-s"></span> Скачать</button>
<%} %></div>
</div>
    
    <div id="themeWidths"><strong>Ширины</strong>
        <%= Model.GetSpecImage(Url, "doc") %>
        <%= Model.GetSpecImage(Url, "doc2")%>
        <%= Model.GetSpecImage(Url, "doc3")%>
        <%= Model.GetSpecImage(Url, "doc4")%>
        <%= Model.GetSpecImage(Url, "doc-custom")%></div>
      
    <div id="themeTemplates"><strong>Колонки</strong>
        <%= Model.GetSpecImage(Url, "yui-t1") %>
        <%= Model.GetSpecImage(Url, "yui-t2")%>
        <%= Model.GetSpecImage(Url, "yui-t3")%>
        <%= Model.GetSpecImage(Url, "yui-t4")%>
        <%= Model.GetSpecImage(Url, "yui-t5")%>
        <%= Model.GetSpecImage(Url, "yui-t6")%></div>
     
     <dl class="info">
  <dt>Нацелено на медиа</dt><dd><%= Model.Theme.TargetMedia %></dd>
  <dt>Тип лэйаута</dt><dd><%= Model.Theme.Layout%></dd>
  <dt>Совместимость</dt><dd><%= Model.Theme.Compatible%></dd>
  </dl>
  <div class="content"><%= Model.Theme.Text.Text%></div>
  <br />
  <p>
  <a class="button" href="<%= Model.Theme.Homepage %>">Домашняя страница</a>
  </p>
 