﻿<%@ Page Language="C#" MasterPageFile="Admin.Master" AutoEventWireup="true" Inherits="ViewPage<AdminUsersModel>" %>
<asp:Content ID="head" ContentPlaceHolderID="head" runat="server">
<title>Пользователи &rsaquo; Панель управления AtomSite</title>
</asp:Content>
<asp:Content ID="Content" ContentPlaceHolderID="content" runat="server">
<h2>Пользователи</h2>
<table class="users"><thead>
<tr><th>Имя</th><th>ID</th><th>Email</th><th>URI</th><th>Права</th></tr></thead>
<tfoot><tr>
<td colspan="4"><%--Admins <strong>#</strong>, Authors <strong>#</strong>, Contributors <strong>#</strong>--%></td>
<td>Всего пользователей: <strong><%=Model.Users.Count() %></strong></td>
</tr></tfoot>
<tbody>
<% bool alt = true; foreach (User u in Model.Users) { alt = !alt;%>
<tr id="<%= u.Ids.First() %>" class="entry<%= alt? " alt" : string.Empty %>">
<td class="name"><strong><%= u.Name %></strong></td>
<td class="ids"><%= string.Join("<br />", u.Ids.ToArray()) %></td>
<td class="email"><%= u.Email %></td>
<td class="uri"><%= u.Uri %></td>
<td class="roles"><%= Model.GetRoles(u) %></td>
</tr>
<%} %>
</tbody>

</table>
<p><strong>Скоро:</strong> страницы, добавление/изменение пользователей, установка ID по умолчанию, изменение прав, просмотр и редактирование матрицы прав</p>

</asp:Content>

<asp:Content ID="Tail" ContentPlaceHolderID="tail" runat="server">
<script type="text/javascript">
$(document).ready(function() {
});
</script>
</asp:Content>
