﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="ViewUserControl<AdminPluginsModel>" %>

<table class="plugins"><thead>
<tr><th>Достоинства</th><th>Плагин</th><th>Сборка</th><%--<th>Рубрики</th><th>Автор</th><th>Виджеты</th><th>Страницы</th><th>Routes</th>--%><th></th></tr></thead>
<tfoot>
<tr><td colspan="3"><a href="http://atomsite.net/plugins.xhtml">Найти больше плагинов</a>
</td><td class="total">Всего плагинов: <strong><%=Model.Plugins.Count() %></strong></td></tr></tfoot>
<tbody>
<% bool alt = true; foreach (PluginState e in Model.Plugins) { alt = !alt;%>
<tr id="<%= e.Type %>" class="plugin<%= (alt? " alt" : string.Empty) + (!e.Enabled ? " disabled" : string.Empty) + (Model.ChangedType == e.Type ? " greenbg" : string.Empty) %>">
<td class="merit"><div class="meritval"><%= e.Merit %></div>

<button class="next<%= Merit.HasNext(e.Merit) ? string.Empty : " disabled" %>"><img src="<%= Url.ImageSrc("next.png") %>" alt="Move to Next Merit Level" /></button>
<button class="add<%= e.Merit == int.MaxValue ? " disabled" : string.Empty %>"><img src="<%= Url.ImageSrc("add.png") %>" alt="Add One to Merit Level" /></button>
<span><%= Merit.MeritToName(e.Merit)%></span>
<button class="subtract<%= e.Merit == int.MinValue ? " disabled" : string.Empty %>"><img src="<%= Url.ImageSrc("subtract.png") %>" alt="Subtract One from Merit Level" /></button>
<button class="prev<%= Merit.HasPrev(e.Merit) ? string.Empty : " disabled" %>"><img src="<%= Url.ImageSrc("prev.png") %>" alt="Move to Previous Merit Level" /></button></td>
<td class="title"><%--<img src='<%= Url.ImageSrc(e.Installed ? e.Enabled ? "green.png" : "red.png" : "gray.png") %>' alt='status' />--%>
<strong>
<%if (Model.HasPluginEntry(e.Type)) { %>
<a href="<%= Url.Action("Plugin", "Admin", new { type = Type.GetType(e.Type).FullName }) %>"><%= e.Name %></a>
<%} else { %>
<%= e.Name %>
<%} %>
</strong> <small><%= e.Version %></small></td>
<td class="assembly"><%= e.Assembly %></td>
<%--
<td class="cats"><% foreach (AtomCategory cat in e.Categories) { Response.Write(cat); if (e.Categories.Last().Term != cat.Term) Response.Write(", "); }%></td>
<td class="authors"><%Html.RenderPartial("AtomPubPeople", e.Authors); %></td>
<td class="count">0</td>
<td class="count">0</td>
<td class="count">0</td>--%>
<td class="ctrl">
<% if (Model.ChangedType == e.Type && !string.IsNullOrEmpty(Model.MessageForType)) { %>
<%= Model.MessageForType %>
<%} else { %>
<label style="visibility:<%= e.Setup ? "visible" : "hidden" %>">Включить <input type="checkbox" name="enabled"<%= e.Enabled ? " checked=\"checked\"" : string.Empty %> /></label>
<button name="setup" style="visibility:<%= e.Installed ? "visible" : "hidden" %>">Переустановить</button>
<%if (e.Installed) { %>  
<button name="uninstall" style="visibility:<%= Model.CanUninstall(e.Type) ? "visible" : "hidden" %>">Удалить</button>

<%} else { %>
<button name="install">Установить</button>
<%} %>
<%} %>
</td>
</tr>
<%} %>
</tbody>

</table>
