﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="ViewUserControl<AddCommentModel>" %>
<br />
<div id="addcomment">
<% if (Model.AnnotationState == AnnotationState.On)
   { %>
		<h4>Добавить комментарий</h4>
	<form id="addcommentform" method="post" action="<%= Url.RouteIdUrl("BlogPostComment", Model.EntryId) %>">
		
	<%----%>
	
	<% if (Model.User.IsAuthenticated)
    { %>
	<fieldset id="userDetails">
	<%= Html.GravatarImg(Model.User.Email, 20)%>
		<strong><%= Model.User.Name%></strong>
		<input type="hidden" id="authenticated" value="" />
	</fieldset>
	<%}
    else
    { //TODO: check if anon comments are on %>
    
    
	<% Html.RenderSubWidgets("BlogAddCommentWidget", "commentator"); %>
    
		<fieldset id="anonDetails">
			<label for="txtName">Имя</label><span id="nameError" class="error">Пожалуйста, введите свое имя.</span>
			<input type="text" id="txtName" name="txtName" value="<%= Model.AnonAuthor.Name %>" />
			<label for="txtName">Email <small>(не показывается, но определяет ваш <a href="http://gravatar.com">gravatar</a>)</label><span id="emailError" class="error">Пожалуйста, введите верный адрес.</small></span>
			<input type="text" id="txtEmail" name="txtEmail" value="<%= Model.AnonAuthor.Email %>" /> 
			<label for="txtName">Сайт</label><span id="websiteError" class="error">Пожалуйста, укажите корректный адрес сайта.</span>
			<input type="text" id="txtWebsite" name="txtWebsite" value="<%= Model.AnonAuthor.Uri != null ? Model.AnonAuthor.Uri.ToString() : "http://" %>" />
		</fieldset>
		<%} %>
		<fieldset style="clear:both;">
		<label for="txtComment">Комментарий</label><textarea name="txtComment" rows="8" cols="20" id="txtComment" style="height:8em;"></textarea>
		<%--<br class="clear" />
		<label for="chkNotify" class="notify">Сообщить мне, когда появятся новые комментарии</label><input id="chkNotify" type="checkbox" name="chkNotify" />
		<br class="clear" />  --%>
		<input type="submit" value="Save Comment" /><div id="commentError" class="error">Пожалуйста, напишите комментарий.</div>		
	</fieldset>
	</form>
</div> <% }
   else if (Model.AnnotationState == AnnotationState.Closed || Model.AnnotationState == AnnotationState.Expired)
   { %>
Комментарии закрыты.
<%} else if (Model.AnnotationState == AnnotationState.Unauthorized) { %>
Вы должны <a href="<%= Url.Action("Login", "Account") %>?ReturnUrl=<%= Server.UrlEncode(Page.Request.Url.PathAndQuery) %>">войти</a>, чтобы иметь возможность оставлять комментарии.
<%} %>

